<div class="col-md-12 text-center">
  <button class="btn btn-outline-primary" (click)="logout()">logout</button>

  <br />
  <br />
  <h3>{{ dayBill }}</h3>
  <br />
  <br />
  <h3>{{ monthBill }}</h3>
  <br />
  <br />
  <hr />
  <h2>Create User</h2>
  <div class="container">
    <input
      class="form-control"
      type="text"
      placeholder="User Name"
      [(ngModel)]="username"
    />
    <input
      class="form-control"
      type="text"
      placeholder="User password"
      [(ngModel)]="password"
    />
    <button class="btn btn-outline-primary" (click)="addUserHandler()">
      add user
    </button>
  </div>

  <br />
  <hr />
  <br />
  <h2>Read user by Id</h2>
  <div class="container">
    <input
      class="form-control"
      type="text"
      placeholder="enter id"
      [(ngModel)]="id"
    />
    <button class="btn btn-outline-primary" (click)="getByIdHandler()">
      get by Id
    </button>
    <div *ngIf="user; else elseBlock">
      <h2>user found</h2>
      <h3>id : {{ user.id }}</h3>
      <h3>username : {{ user.name }}</h3>
      <h3>password : {{ user.password }}</h3>
    </div>
    <ng-template #elseBlock>
      <h2>user not found</h2>
    </ng-template>
  </div>

  <hr />
  <h2>Update user's username,password by ID</h2>
  <div class="container">
    <input
      class="form-control"
      type="text"
      placeholder="enter id"
      [(ngModel)]="updateId"
    />
    <input
      class="form-control"
      type="text"
      placeholder="set username"
      [(ngModel)]="updateusername"
    />
    <input
      class="form-control"
      type="text"
      placeholder="set password"
      [(ngModel)]="updatepassword"
    />
    <button class="btn btn-outline-primary" (click)="updatehandler()">
      update
    </button>
  </div>
  <br /><br />
  <hr />

  <div class="container">
    <h2>Delete user by ID</h2>
    <input
      class="form-control"
      type="text"
      placeholder="enter id"
      [(ngModel)]="deleteid"
    />
    <button class="btn btn-outline-primary" (click)="deletehandler()">
      delete by id
    </button>

    <div *ngIf="deleteUser; else elseBlock">
      <h2>user deleted</h2>
    </div>
    <ng-template #elseBlock>
      <h2>user not found</h2>
    </ng-template>
  </div>
  <br /><br /><br />
</div>
